# eDocs Reporting

The **eDocs Reporting API** retrieves merchant documents—monthly statements, tax forms, and more.

{% hint style="warning" %}
**Note:** For performance purposes, we recommend checking for documents when they are requested by your clients, instead of polling for new documents or attempting to pull documents in bulk and store them within your system.
{% endhint %}

### **Available Endpoints**

* Get a Document:
  * `GET /api/documents/v1.0/document/{merchantNumber}/{documentId}`
* Get Document Types:
  * `GET /api/documents/v1.0/document/{merchantNumber}/DocumentTypes`
* Get Documents by Type:
  * `GET /api/documents/v1.0/document/{merchantNumber}/Documents`
* Get Statements by Year:
  * `GET /api/documents/v1.0/document/{merchantNumber}/Statements/{year}`
* Get Statements by Year and Month:
  * `GET /api/documents/v1.0/document/{merchantNumber}/Statements/{year}/{month}`
